package at.jku.risc.stout.urauc.algo;

import at.jku.risc.stout.urauc.data.EquationSystem;

public class AntiUnify4V extends AntiUnify {

	public AntiUnify4V(AlignFnc aFnc, EquationSystem<AntiUnifyProblem> sys,
			DebugLevel debugLevel) {
		super(aFnc, sys, debugLevel);
	}

	protected AntiUnifySystem createSystem(
			EquationSystem<AntiUnifyProblem> eqSys) {
		return new AntiUnifySystem4V(eqSys, new Substitution());
	}

}
